QGIS Application - Bug report #15577
qgis3/master make install runs 2to3 on output tree, but install from source tree
2016-09-18 01:04 PM - Richard Duivenvoorde

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 23501
Description

Compiling current master (Qt5/Python3) and running make install, installs and runs fine except for the python parts:

testing Python3/Qt5 | get the following message:
File
"/home/richard/apps/qgis3/master/debug/share/qgis/python/plugins/processing/tools/vector.py",
line 34, in
import cStringlO

See https://lists.osgeo.org/pipermail/ggis-developer/2016-September/044696.html

Mathieu's conclusion is: "The probem has to do with make install copying python files from the source tree not the output directory
(therefore not benefiting from 2to03)"

So we should either run 2to3 on output tree AND install python from there (with fixed files)
OR

run 2to3 on source tree AND copy/install that one

OR

run 2to3 after installation in installed directory?

History

#1 - 2016-09-19 02:24 AM - Jiirgen Fischer

Yes, we'll eventually run 2to3 on the source files.

#2 - 2016-09-19 01:29 PM - Richard Duivenvoorde

but in general, shouldn't we install (python) files from the build directory anyway (instead of the source dir)?

#3 - 2016-09-19 04:21 PM - Jiirgen Fischer

Richard Duivenvoorde wrote:

but in general, shouldn't we install (python) files from the build directory anyway (instead of the source dir)?

Why? The python files are not built.
https://lists.osgeo.org/pipermail/qgis-developer/2016-September/044696.html

#4 - 2016-09-19 11:12 PM - Richard Duivenvoorde

Well, at the moment the python files are a sort of 'build' (if you define building a little broader then going from source to binary). Also if we would have some
other kind if 'builds', like for example beautifying the code or so, it would make more sense to 'install' from the build dir?

My reasoning is, why not install from it? It is not a true build in Computer science way, but we already have the usecase that apparently we install
something which apparently needed another ( build ;-) ) step before to be usable in a installation? In current master (Python3/Qt5) an install does not have
processing and throws the error.

But if there are other reasons to not install python from build, I'm fine with it for now.

#5 - 2016-09-22 12:50 AM - Mathieu Pellerin - nIRV

- Resolution set to invalid

- Status changed from Open to Closed

This issue has been invalidated by the commit which ran 2to3 against the source directory.

Thanks Jirgen.
